io.vertx.rxjava3.ext.web.handler.graphql

## Class GraphQLHandler

- java.lang.Object
- - io.vertx.rxjava3.ext.web.handler.graphql.GraphQLHandler

- All Implemented Interfaces:
    Handler<RoutingContext>

      public class GraphQLHandler
      extends Object
      implements Handler<RoutingContext>

  A `Route` handler for GraphQL requests.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<GraphQLHandler>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphQLHandler(GraphQLHandler delegate)`
    `GraphQLHandler(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GraphQLHandler` | `create(graphql.GraphQL graphQL)` Create a new `GraphQLHandler` that will use the provided `graphQL` object to execute queries.
    `static GraphQLHandler` | `create(graphql.GraphQL graphQL, GraphQLHandlerOptions options)` Create a new `GraphQLHandler` that will use the provided `graphQL` object to execute queries.
    `GraphQLHandler` | `dataLoaderRegistry(java.util.function.Function<RoutingContext,org.dataloader.DataLoaderRegistry> factory)` Customize the .
    `boolean` | `equals(Object o)`
    `GraphQLHandler` | `getDelegate()`
    `void` | `handle(RoutingContext event)` Something has happened, so handle it.
    `int` | `hashCode()`
    `GraphQLHandler` | `locale(java.util.function.Function<RoutingContext,Locale> factory)` Customize the passed to the GraphQL execution engine.
    `static GraphQLHandler` | `newInstance(GraphQLHandler arg)`
    `GraphQLHandler` | `queryContext(java.util.function.Function<RoutingContext,Object> factory)` Customize the query context object.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<GraphQLHandler> __TYPE_ARG

  - ### Constructor Detail

    - #### GraphQLHandler

          public GraphQLHandler(GraphQLHandler delegate)

    - #### GraphQLHandler

          public GraphQLHandler(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public GraphQLHandler getDelegate()

    - #### handle

          public void handle(RoutingContext event)

      Something has happened, so handle it.
      Specified by:
        `handle` in interface `Handler<RoutingContext>`
      Parameters:
        `event` - the event to handle

    - #### queryContext

          public GraphQLHandler queryContext(java.util.function.Function<RoutingContext,Object> factory)

      Customize the query context object. The provided `factory` method will be invoked for each incoming GraphQL request.
      Parameters:
        `factory` -
      Returns:
        a reference to this, so the API can be used fluently

    - #### create

          public static GraphQLHandler create(graphql.GraphQL graphQL)

      Create a new `GraphQLHandler` that will use the provided `graphQL` object to execute queries.

      The handler will be configured with default `GraphQLHandlerOptions`.

      Parameters:
        `graphQL` -
      Returns:

    - #### create

          public static GraphQLHandler create(graphql.GraphQL graphQL,
                                              GraphQLHandlerOptions options)

      Create a new `GraphQLHandler` that will use the provided `graphQL` object to execute queries.

      The handler will be configured with the given `options`.

      Parameters:
        `graphQL` -
        `options` - options for configuring the `GraphQLHandler`
      Returns:

    - #### dataLoaderRegistry

          public GraphQLHandler dataLoaderRegistry(java.util.function.Function<RoutingContext,org.dataloader.DataLoaderRegistry> factory)

      Customize the . The provided `factory` method will be invoked for each incoming GraphQL request.
      Parameters:
        `factory` -
      Returns:
        a reference to this, so the API can be used fluently

    - #### locale

          public GraphQLHandler locale(java.util.function.Function<RoutingContext,Locale> factory)

      Customize the passed to the GraphQL execution engine. The provided `factory` method will be invoked for each incoming GraphQL request.
      Parameters:
        `factory` -
      Returns:
        a reference to this, so the API can be used fluently

    - #### newInstance

          public static GraphQLHandler newInstance(GraphQLHandler arg)

Copyright © 2021 Eclipse. All rights reserved.